运行 yarn 的时候一直报错
4

vagrant@homestead:~/code/laravel-shop$ SASS_BINARY_SITE=http://npm.taobao.org/mirrors/node-sass yarn install --no-bin-links
yarn install v1.12.3
info No lockfile found.
[1/4] Resolving packages...
[2/4] Fetching packages...
info fsevents@1.2.4: The platform "linux" is incompatible with this module.
info "fsevents@1.2.4" is an optional dependency and failed compatibility check. Excluding it from installation.
[3/4] Linking dependencies...
warning " > sass-loader@7.1.0" has unmet peer dependency "webpack@^3.0.0 || ^4.0.0".
[4/4] Building fresh packages...
error /home/vagrant/code/laravel-shop/node_modules/webpack-cli: Command failed.
Exit code: 127
Command: lightercollective
Arguments:
Directory: /home/vagrant/code/laravel-shop/node_modules/webpack-cli
Output:
/bin/sh: 1: lightercollective: not found
info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.
《L01 基础入门》
我们将带你从零开发一个项目并部署到线上,本课程教授 Web 开发中专业、实用的技能,如 Git 工作流、Laravel Mix 前端工作流等。
《L05 电商实战》
从零开发一个电商项目,功能包括电商后台、商品 & SKU 管理、购物车、订单管理、支付宝支付、微信支付、订单退款流程、优惠券等
最佳答案

以下是我使用Laravel 5.7,发现问题后的解决方法,希望对你有所帮助:
1、这里的报错提示是 :lightercollective: not found,所以先使用 sudo npm i -g lightercollective 命令安装,
之后再执行 SASS_BINARY_SITE=http://npm.taobao.org/mirrors/node-sass yarn --no-bin-links

2、执行 npm run watch-poll的时候如果提示 “Running: yarn add vue-template-compiler --dev --production=false Running: yarn add vue-template-compiler --dev --production=false“,就使用 yarn add vue-template-compiler --dev --production=false --no-bin-links 命令安装

5天前
讨论数量: 17
huzhuolei

win10 64位系统,vagrant 安装的 lc-homestead-6.1.1-2018090400 盒子,homestead 7.8.0,laravel 5.7 会出这个问题,5.5正常

1周前
huzhuolei

刚刚在我的 macbook 上测试了一下,也是一样的问题。这是普遍问题还是我的特例呀?普遍问题的话为什么网上找不到解决方案呢?特例的话为什么两台电脑都出现同样的问题?

1周前
leo

我这边试了一下,在 Mac 下不加 --no-bin-links 就不会报这个错

1周前

@huzhuolei 遇到同样的问题。

1周前

同求解决方案新的homestead 新的lara 5.7项目 yarn install --no-bin-links 报错啦

1周前

有人解决了吗 环境问题坑死

1周前
huzhuolei

@leo 在 Mac 下不加 --no-bin-links 是另一个常见的错误,加了解决了那个常见错误出现这个错误,大牛看看这个错误怎么办呀?难道只能用 5.5?

1周前
huzhuolei

@daxiaobuzhaodiao 你也是这个错误?那看来是普遍的问题了

1周前

@huzhuolei 是的, 你解决了么?还是换成5.5了?

1周前

@daxiaobuzhaodiao @huzhuolei win10 64位系统,vagrant 安装的 lc-homestead-6.1.1-2018090400 盒子,homestead 7.8.0,laravel 5.7 2.6基础布局会出这个问题 执行 sudo npm install npm@latest -g 升级 可解决 但后面3.4新增地址模块 yarn add china-area-data 我执行命令npm run watch-poll 编译后 会把包china-area-data 清除 依旧报错 我卡这里了

1周前

@zhaocrazy laravel5.7.19 执行 yarn install 生成node_modules里面多了个wabpack-cli 的东西,我现在索性使用5.7.15了 。

1周前
huzhuolei

@daxiaobuzhaodiao 学习环境用回 5.5 了,开发环境用的 5.7。因为是做 RESTFul api 开发,暂时用不到前端框架组件

1周前

嗯,我的也出现同样问题. @Summer 关注一下这个问题.

1周前

@huzhuolei 我的也是卡在第四步

1周前

以下是我使用Laravel 5.7,发现问题后的解决方法,希望对你有所帮助:
1、这里的报错提示是 :lightercollective: not found,所以先使用 sudo npm i -g lightercollective 命令安装,
之后再执行 SASS_BINARY_SITE=http://npm.taobao.org/mirrors/node-sass yarn --no-bin-links

2、执行 npm run watch-poll的时候如果提示 “Running: yarn add vue-template-compiler --dev --production=false Running: yarn add vue-template-compiler --dev --production=false“,就使用 yarn add vue-template-compiler --dev --production=false --no-bin-links 命令安装

5天前

@ezyx 前辈,首先非常感谢您的方法,问题已经解决,您能不能解释一下这个问题? 为什么会出这样的错误。

4天前

@ezyx 虽然不知道为啥报错 为啥解决的,非常感谢!

5小时前

  • 请注意单词拼写,以及中英文排版,参考此页
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`, 更多语法请见这里 Markdown 语法
  • 支持表情,使用方法请见 Emoji 自动补全来咯,可用的 Emoji 请见 :metal: :point_right: Emoji 列表 :star: :sparkles:
  • 上传图片, 支持拖拽和剪切板黏贴上传, 格式限制 - jpg, png, gif
  • 发布框支持本地存储功能,会在内容变更时保存,「提交」按钮点击时清空
  请勿发布不友善或者负能量的内容。与人为善,比聪明更重要!